Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.util
Class IdentityKey

    java.lang.Object
      |
      +--org.openorb.util.IdentityKey

public class IdentityKey
extends java.lang.Object

Identity hash table key. Use to wrap objects to insert into hash maps where the entry should be hashed/looked up on the actual object, rather than any equals / hashCode operations it defines.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:06 $
Author:
  Chris Wood

Constructor Summary
`IdentityKey(java.lang.Object target)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Checks whether two IdentityKey instances are equal.
`java.lang.Object` | `getTarget()` Returns the internal target member.
`int` | `hashCode()` Return the hash code of the member.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentityKey

    public IdentityKey(java.lang.Object target)

  Constructor.
  Parameters:
    `target` - The object with which to initialize the internal member.

Method Detail

### getTarget

    public java.lang.Object getTarget()

  Returns the internal target member.
  Returns:
    The target member.

### hashCode

    public int hashCode()

  Return the hash code of the member.
  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    The system identity hash code of the internal member.

### equals

    public boolean equals(java.lang.Object obj)

  Checks whether two IdentityKey instances are equal.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - The instance to compare this instance to.
  Returns:
    True if the instances are equal, false oterhwise.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD